Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000651ScribusDocumentationpublic2004-05-13 17:252005-05-04 23:40
Reporterplinnell 
Assigned Tosubik 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.2.2cvs 
Target VersionFixed in Version1.3.0cvs 
Summary0000651: Enhancements to the Help Browser
DescriptionAdd Printing, Bookmarks and persistent history for the helpbrowser
Additional InformationTODO:
 * searching (the docs) + searching in opened document [DONE]
 * printing [IN PROGRESS/DONE?] - it uses standard Qt print dialog now. Maybe it's confusing for user to have 2 "print dialogs"...
 * Bookmarks [DONE] - it uses ~/.scribus/doc/bookmarks.xml as storage
 * Persistent history [DONE] - ~/.scribus/doc/history.xml
 * Notes [TODO?: how to implement? how to pin up the note into root_only html? merging root and ~ versions? new filein ~/.scribus for notes?]
 * UI polish [TODO: iconbar, widths etc.]
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0004391)
plinnell (administrator)
2005-04-24 20:28

Assigning to subik. He's added searching in the help browser.
(0004479)
subik (manager)
2005-05-01 18:00

basically done. IMHO there is no need to have more in it...
(0004480)
plinnell (administrator)
2005-05-01 22:42

Two questions/notes:

1) Will the bookmarks and print go into 1.2.2 ?

2) Printing in 1.3 seems to upscale the images.

Otherwise, this has long been on my wish list and its a nice improvement.

- Issue History
Date Modified Username Field Change
2004-05-13 17:25 plinnell New Issue
2004-09-20 12:23 cbradney Product Version 1.2CVS => 1.3
2005-04-24 20:28 plinnell Note Added: 0004391
2005-04-24 20:28 plinnell Assigned To plinnell => subik
2005-04-24 20:28 plinnell Product Version 1.3 => 1.2.2cvs
2005-04-24 20:49 cbradney View Status private => public
2005-04-26 15:39 subik Note Added: 0004421
2005-04-28 20:00 subik Note Deleted: 0004421
2005-04-28 20:01 subik Additional Information Updated
2005-04-29 14:54 subik Additional Information Updated
2005-05-01 18:00 subik Status assigned => resolved
2005-05-01 18:00 subik Fixed in Version => 1.3.0cvs
2005-05-01 18:00 subik Resolution open => fixed
2005-05-01 18:00 subik Note Added: 0004479
2005-05-01 22:42 plinnell Note Added: 0004480
2005-05-04 23:40 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker